Subject: Microminerals from Sauktown Sales
From: &quot;J. Daly&quot; &lt;[email-masked]&gt;
To: Jim Daly &lt;[email-masked]&gt;, Rockhounds &lt;[email-masked]&gt;, sauktown-micromounts &lt;[email-masked]&gt;
Date: Mon, 2 May 2022 10:02:57 -0500

The May update to www.sauktown.com will be posted today.
I might be away for a week or so. In that event, I will fill all orders in
the order they are received, when I return.
This month most of the unmounted material is from the Poudrette Quarry,
Mont St. Hilaire, QC, Canada.
The mounted material is again all from the Art Smith collection, and this
month includes Wulfenite, Zircon, Thomsonite-(Ca) and more.
Jim Daly
www.sauktown.com
[email-masked]